diff --git a/src/Lunr/Vortex/APNS/ApnsPHP/Tests/APNSDispatcherTest.php b/src/Lunr/Vortex/APNS/ApnsPHP/Tests/APNSDispatcherTest.php
index d259f52091d200c8ad2eb520ea9601ee4cf0db45..35f1b998c101442b5d77d9edf3d6630d49127a07 100644
--- a/src/Lunr/Vortex/APNS/ApnsPHP/Tests/APNSDispatcherTest.php
+++ b/src/Lunr/Vortex/APNS/ApnsPHP/Tests/APNSDispatcherTest.php
@@ -49,7 +49,7 @@ abstract class APNSDispatcherTest extends LunrBaseTest
      */
     public function setUp()
     {
-        $this->logger = $this->getMock('Psr\Log\LoggerInterface');
+        $this->logger = $this->getMockBuilder('Psr\Log\LoggerInterface')->getMock();
 
         $this->apns_push = $this->getMockBuilder('ApnsPHP_Push')
                                 ->disableOriginalConstructor()
diff --git a/src/Lunr/Vortex/APNS/ApnsPHP/Tests/APNSResponseTest.php b/src/Lunr/Vortex/APNS/ApnsPHP/Tests/APNSResponseTest.php
index 4c74d822b56184a97d4f53e0ccdfcdd9bea6c72e..b011a1c03f4450e48c418c28c73aba674ce2ecdd 100644
--- a/src/Lunr/Vortex/APNS/ApnsPHP/Tests/APNSResponseTest.php
+++ b/src/Lunr/Vortex/APNS/ApnsPHP/Tests/APNSResponseTest.php
@@ -43,7 +43,7 @@ abstract class APNSResponseTest extends LunrBaseTest
      */
     public function setUp()
     {
-        $this->logger = $this->getMock('Psr\Log\LoggerInterface');
+        $this->logger = $this->getMockBuilder('Psr\Log\LoggerInterface')->getMock();
 
         $this->apns_message = $this->getMockBuilder('ApnsPHP_Message')
                                    ->disableOriginalConstructor()
diff --git a/src/Lunr/Vortex/APNS/libcapn/Tests/APNSDispatcherTest.php b/src/Lunr/Vortex/APNS/libcapn/Tests/APNSDispatcherTest.php
index 11ff4ddd7001ddc6a05cc20a6dd00eb0e8f40c94..5e3d3fecc8fcf02dcfd741420644387dec48e77b 100644
--- a/src/Lunr/Vortex/APNS/libcapn/Tests/APNSDispatcherTest.php
+++ b/src/Lunr/Vortex/APNS/libcapn/Tests/APNSDispatcherTest.php
@@ -67,7 +67,7 @@ abstract class APNSDispatcherTest extends LunrBaseTest
 
         $this->mock_function('apn_init', self::APN_RETURN_TRUE);
 
-        $this->logger = $this->getMock('Psr\Log\LoggerInterface');
+        $this->logger = $this->getMockBuilder('Psr\Log\LoggerInterface')->getMock();
 
         $this->class = new APNSDispatcher($this->logger);
 
diff --git a/src/Lunr/Vortex/APNS/libcapn/Tests/APNSResponseTest.php b/src/Lunr/Vortex/APNS/libcapn/Tests/APNSResponseTest.php
index 42167c34c384d0ce0c74167607e660c215143e0e..f151e238dea85a160bec646775b4978647597f45 100644
--- a/src/Lunr/Vortex/APNS/libcapn/Tests/APNSResponseTest.php
+++ b/src/Lunr/Vortex/APNS/libcapn/Tests/APNSResponseTest.php
@@ -41,7 +41,7 @@ abstract class APNSResponseTest extends LunrBaseTest
      */
     public function setUpSuccess()
     {
-        $this->logger = $this->getMock('Psr\Log\LoggerInterface');
+        $this->logger = $this->getMockBuilder('Psr\Log\LoggerInterface')->getMock();
 
         $response = [ 'error_code' => 0, 'error_message' => NULL ];
 
diff --git a/src/Lunr/Vortex/Email/Tests/EmailDispatcherTest.php b/src/Lunr/Vortex/Email/Tests/EmailDispatcherTest.php
index 645ccf894a99b914fdbc82f1515cb41a39c55d4c..8377c36e5b6be9a20ce3aa1a09d1e008e4d8ce3e 100644
--- a/src/Lunr/Vortex/Email/Tests/EmailDispatcherTest.php
+++ b/src/Lunr/Vortex/Email/Tests/EmailDispatcherTest.php
@@ -48,9 +48,9 @@ abstract class EmailDispatcherTest extends LunrBaseTest
      */
     public function setUp()
     {
-        $this->mail_transport = $this->getMock('PHPMailer\PHPMailer\PHPMailer');
+        $this->mail_transport = $this->getMockBuilder('PHPMailer\PHPMailer\PHPMailer')->getMock();
 
-        $this->logger = $this->getMock('Psr\Log\LoggerInterface');
+        $this->logger = $this->getMockBuilder('Psr\Log\LoggerInterface')->getMock();
 
         $this->class = new EmailDispatcher($this->mail_transport, $this->logger);
 
diff --git a/src/Lunr/Vortex/Email/Tests/EmailResponseTest.php b/src/Lunr/Vortex/Email/Tests/EmailResponseTest.php
index b5d572bc86ff7a6de643958675727f0685070b63..15ca43fb6420b8ae37c37990280374be8ab8d332 100644
--- a/src/Lunr/Vortex/Email/Tests/EmailResponseTest.php
+++ b/src/Lunr/Vortex/Email/Tests/EmailResponseTest.php
@@ -40,9 +40,9 @@ abstract class EmailResponseTest extends LunrBaseTest
      */
     public function setUpError()
     {
-        $this->logger = $this->getMock('Psr\Log\LoggerInterface');
+        $this->logger = $this->getMockBuilder('Psr\Log\LoggerInterface')->getMock();
 
-        $response = $this->getMock('PHPMailer\PHPMailer\PHPMailer');
+        $response = $this->getMockBuilder('PHPMailer\PHPMailer\PHPMailer')->getMock();
 
         $response->expects($this->once())
                  ->method('isError')
@@ -68,9 +68,9 @@ abstract class EmailResponseTest extends LunrBaseTest
      */
     public function setUpSuccess()
     {
-        $this->logger = $this->getMock('Psr\Log\LoggerInterface');
+        $this->logger = $this->getMockBuilder('Psr\Log\LoggerInterface')->getMock();
 
-        $response = $this->getMock('PHPMailer\PHPMailer\PHPMailer');
+        $response = $this->getMockBuilder('PHPMailer\PHPMailer\PHPMailer')->getMock();
 
         $response->expects($this->once())
                  ->method('isError')
diff --git a/src/Lunr/Vortex/GCM/Tests/GCMBatchResponseTest.php b/src/Lunr/Vortex/GCM/Tests/GCMBatchResponseTest.php
index 7b8f5f74e69a41ce65eb631e9eaed8313bd5ece3..bf94093398e88aecf68330888d32bc18c7f00974 100644
--- a/src/Lunr/Vortex/GCM/Tests/GCMBatchResponseTest.php
+++ b/src/Lunr/Vortex/GCM/Tests/GCMBatchResponseTest.php
@@ -45,9 +45,9 @@ abstract class GCMBatchResponseTest extends LunrBaseTest
      */
     public function setUp()
     {
-        $this->logger = $this->getMock('Psr\Log\LoggerInterface');
+        $this->logger = $this->getMockBuilder('Psr\Log\LoggerInterface')->getMock();
 
-        $this->response = $this->getMock('Requests_Response');
+        $this->response = $this->getMockBuilder('Requests_Response')->getMock();
     }
 
     /**
diff --git a/src/Lunr/Vortex/GCM/Tests/GCMDispatcherPushTest.php b/src/Lunr/Vortex/GCM/Tests/GCMDispatcherPushTest.php
index 4162a3459e858932f0abb05ccaad65f7191e0204..b4b1c04b12b7733875aa3bfe78b26753130cf4d3 100644
--- a/src/Lunr/Vortex/GCM/Tests/GCMDispatcherPushTest.php
+++ b/src/Lunr/Vortex/GCM/Tests/GCMDispatcherPushTest.php
@@ -61,7 +61,7 @@ class GCMDispatcherPushTest extends GCMDispatcherTest
         $this->set_reflection_property_value('auth_token', 'auth_token');
         $this->set_reflection_property_value('priority', 'high');
 
-        $response = $this->getMock('Requests_Response');
+        $response = $this->getMockBuilder('Requests_Response')->getMock();
 
         $this->http->expects($this->once())
                    ->method('post')
@@ -118,7 +118,7 @@ class GCMDispatcherPushTest extends GCMDispatcherTest
     {
         $this->set_reflection_property_value('endpoints', [ 'endpoint' ]);
 
-        $response = $this->getMock('Requests_Response');
+        $response = $this->getMockBuilder('Requests_Response')->getMock();
 
         $headers = [
             'Content-Type'  => 'application/json',
@@ -147,7 +147,7 @@ class GCMDispatcherPushTest extends GCMDispatcherTest
         $this->set_reflection_property_value('payload', '{"collapse_key":"abcde-12345"}');
         $this->set_reflection_property_value('auth_token', 'auth_token');
 
-        $response = $this->getMock('Requests_Response');
+        $response = $this->getMockBuilder('Requests_Response')->getMock();
 
         $headers = [
             'Content-Type'  => 'application/json',
@@ -177,7 +177,7 @@ class GCMDispatcherPushTest extends GCMDispatcherTest
         $this->set_reflection_property_value('auth_token', 'auth_token');
         $this->set_reflection_property_value('priority', 'high');
 
-        $response = $this->getMock('Requests_Response');
+        $response = $this->getMockBuilder('Requests_Response')->getMock();
 
         $headers = [
             'Content-Type'  => 'application/json',
@@ -209,7 +209,7 @@ class GCMDispatcherPushTest extends GCMDispatcherTest
         $this->set_reflection_property_value('auth_token', 'auth_token');
         $this->set_reflection_property_value('priority', 'high');
 
-        $response = $this->getMock('Requests_Response');
+        $response = $this->getMockBuilder('Requests_Response')->getMock();
 
         $headers = [
             'Content-Type'  => 'application/json',
diff --git a/src/Lunr/Vortex/GCM/Tests/GCMDispatcherTest.php b/src/Lunr/Vortex/GCM/Tests/GCMDispatcherTest.php
index 8c8bdbd211a9ffd4e365c291b2f4ef1ab33be66c..38e911c374da86b1e33d4c8a6c5a9e779bf60215 100644
--- a/src/Lunr/Vortex/GCM/Tests/GCMDispatcherTest.php
+++ b/src/Lunr/Vortex/GCM/Tests/GCMDispatcherTest.php
@@ -43,11 +43,12 @@ abstract class GCMDispatcherTest extends LunrBaseTest
      */
     public function setUp()
     {
-        $this->http   = $this->getMock('Requests_Session');
-        $this->logger = $this->getMock('Psr\Log\LoggerInterface');
+        $this->http   = $this->getMockBuilder('Requests_Session')->getMock();
+        $this->logger = $this->getMockBuilder('Psr\Log\LoggerInterface')->getMock();
 
         $this->class = new GCMDispatcher($this->http, $this->logger);
 
+
         $this->reflection = new ReflectionClass('Lunr\Vortex\GCM\GCMDispatcher');
     }
 
diff --git a/src/Lunr/Vortex/MPNS/Tests/MPNSDispatcherTest.php b/src/Lunr/Vortex/MPNS/Tests/MPNSDispatcherTest.php
index 0138d9a16bea5fe6fcb1ee6e9c69f4adcb9527d2..bf3f42d67d66afbd91dbbaaf240c563d7c86d890 100644
--- a/src/Lunr/Vortex/MPNS/Tests/MPNSDispatcherTest.php
+++ b/src/Lunr/Vortex/MPNS/Tests/MPNSDispatcherTest.php
@@ -51,9 +51,9 @@ abstract class MPNSDispatcherTest extends LunrBaseTest
      */
     public function setUp()
     {
-        $this->http     = $this->getMock('Requests_Session');
-        $this->logger   = $this->getMock('Psr\Log\LoggerInterface');
-        $this->response = $this->getMock('Requests_Response');
+        $this->http     = $this->getMockBuilder('Requests_Session')->getMock();
+        $this->logger   = $this->getMockBuilder('Psr\Log\LoggerInterface')->getMock();
+        $this->response = $this->getMockBuilder('Requests_Response')->getMock();
 
         $this->class = new MPNSDispatcher($this->http, $this->logger);
 
diff --git a/src/Lunr/Vortex/MPNS/Tests/MPNSResponseTest.php b/src/Lunr/Vortex/MPNS/Tests/MPNSResponseTest.php
index d256a032e2c81093e783d30884cbf7d89596e65f..04d0bcddf6543bf4188e632d3b88d483b9dda42d 100644
--- a/src/Lunr/Vortex/MPNS/Tests/MPNSResponseTest.php
+++ b/src/Lunr/Vortex/MPNS/Tests/MPNSResponseTest.php
@@ -40,9 +40,9 @@ abstract class MPNSResponseTest extends LunrBaseTest
      */
     public function setUpError()
     {
-        $this->logger = $this->getMock('Psr\Log\LoggerInterface');
+        $this->logger = $this->getMockBuilder('Psr\Log\LoggerInterface')->getMock();
 
-        $response = $this->getMock('Requests_Response');
+        $response = $this->getMockBuilder('Requests_Response')->getMock();
 
         $response->status_code = FALSE;
         $response->url         = 'http://localhost/';
@@ -58,9 +58,9 @@ abstract class MPNSResponseTest extends LunrBaseTest
      */
     public function setUpSuccess()
     {
-        $this->logger = $this->getMock('Psr\Log\LoggerInterface');
+        $this->logger = $this->getMockBuilder('Psr\Log\LoggerInterface')->getMock();
 
-        $response = $this->getMock('Requests_Response');
+        $response = $this->getMockBuilder('Requests_Response')->getMock();
 
         $response->headers = [
             "Date" => "2013-07-05",
diff --git a/src/Lunr/Vortex/MPNS/Tests/MPNSToastPayloadTest.php b/src/Lunr/Vortex/MPNS/Tests/MPNSToastPayloadTest.php
index 34055cda3b836334c855f195e44ce5dc150bfdc3..296bca611b1cb7f8eeee5ba7f4cc8753adfdaca0 100644
--- a/src/Lunr/Vortex/MPNS/Tests/MPNSToastPayloadTest.php
+++ b/src/Lunr/Vortex/MPNS/Tests/MPNSToastPayloadTest.php
@@ -37,7 +37,7 @@ abstract class MPNSToastPayloadTest extends LunrBaseTest
      */
     public function setUp()
     {
-        $this->logger = $this->getMock('Psr\Log\LoggerInterface');
+        $this->logger = $this->getMockBuilder('Psr\Log\LoggerInterface')->getMock();
 
         $this->class = new MPNSToastPayload($this->logger);
 
diff --git a/src/Lunr/Vortex/PAP/Tests/PAPDispatcherPushTest.php b/src/Lunr/Vortex/PAP/Tests/PAPDispatcherPushTest.php
index b78ed1bc2748aeaa93ce1bcd14a568ce73e7592e..ebbe8ca3cd6ec59fca368d9c1dbcce035147f147 100644
--- a/src/Lunr/Vortex/PAP/Tests/PAPDispatcherPushTest.php
+++ b/src/Lunr/Vortex/PAP/Tests/PAPDispatcherPushTest.php
@@ -27,7 +27,6 @@ class PAPDispatcherPushTest extends PAPDispatcherTest
     /**
      * Test that push() returns PAPResponseObject.
      *
-     * @requires extension runkit
      * @covers   Lunr\Vortex\PAP\PAPDispatcher::push
      */
     public function testPushReturnsPAPResponseObjectOnRequestFailure()
@@ -79,7 +78,6 @@ class PAPDispatcherPushTest extends PAPDispatcherTest
     /**
      * Test that push() returns PAPResponseObject.
      *
-     * @requires extension runkit
      * @covers   Lunr\Vortex\PAP\PAPDispatcher::push
      */
     public function testPushReturnsPAPResponseObject()
@@ -127,7 +125,6 @@ class PAPDispatcherPushTest extends PAPDispatcherTest
     /**
      * Test that push() resets the properties after a push.
      *
-     * @requires extension runkit
      * @covers   Lunr\Vortex\PAP\PAPDispatcher::push
      */
     public function testPushResetsPropertiesOnRequestFailure()
@@ -184,7 +181,6 @@ class PAPDispatcherPushTest extends PAPDispatcherTest
     /**
      * Test that push() resets the properties after a push.
      *
-     * @requires extension runkit
      * @covers   Lunr\Vortex\PAP\PAPDispatcher::push
      */
     public function testPushResetsProperties()
diff --git a/src/Lunr/Vortex/PAP/Tests/PAPDispatcherTest.php b/src/Lunr/Vortex/PAP/Tests/PAPDispatcherTest.php
index 3809676975f7f3e794e49fc2d5e877e4174f8fbd..19d99de98258e473fe3bd852c68f9dfb7bc26851 100644
--- a/src/Lunr/Vortex/PAP/Tests/PAPDispatcherTest.php
+++ b/src/Lunr/Vortex/PAP/Tests/PAPDispatcherTest.php
@@ -49,9 +49,9 @@ abstract class PAPDispatcherTest extends LunrBaseTest
      */
     public function setUp()
     {
-        $this->http     = $this->getMock('Requests_Session');
-        $this->response = $this->getMock('Requests_Response');
-        $this->logger   = $this->getMock('Psr\Log\LoggerInterface');
+        $this->http     = $this->getMockBuilder('Requests_Session')->getMock();
+        $this->response = $this->getMockBuilder('Requests_Response')->getMock();
+        $this->logger   = $this->getMockBuilder('Psr\Log\LoggerInterface')->getMock();
 
         $this->class = new PAPDispatcher($this->http, $this->logger);
 
diff --git a/src/Lunr/Vortex/PAP/Tests/PAPResponseTest.php b/src/Lunr/Vortex/PAP/Tests/PAPResponseTest.php
index 58d532f782d6d75997d518c4f7963f8b7161af00..573a618c7f65bca4df9e86354c562b0b8a6c13c1 100644
--- a/src/Lunr/Vortex/PAP/Tests/PAPResponseTest.php
+++ b/src/Lunr/Vortex/PAP/Tests/PAPResponseTest.php
@@ -41,9 +41,9 @@ abstract class PAPResponseTest extends LunrBaseTest
      */
     public function setUpError()
     {
-        $this->logger = $this->getMock('Psr\Log\LoggerInterface');
+        $this->logger = $this->getMockBuilder('Psr\Log\LoggerInterface')->getMock();
 
-        $response = $this->getMock('Requests_Response');
+        $response = $this->getMockBuilder('Requests_Response')->getMock();
 
         $response->status_code = FALSE;
 
@@ -58,9 +58,9 @@ abstract class PAPResponseTest extends LunrBaseTest
      */
     public function setUpInvalidXMLError()
     {
-        $this->logger = $this->getMock('Psr\Log\LoggerInterface');
+        $this->logger = $this->getMockBuilder('Psr\Log\LoggerInterface')->getMock();
 
-        $response = $this->getMock('Requests_Response');
+        $response = $this->getMockBuilder('Requests_Response')->getMock();
 
         $response->status_code = 200;
 
@@ -82,11 +82,11 @@ abstract class PAPResponseTest extends LunrBaseTest
      */
     public function setUpSuccess()
     {
-        $this->logger = $this->getMock('Psr\Log\LoggerInterface');
+        $this->logger = $this->getMockBuilder('Psr\Log\LoggerInterface')->getMock();
 
         $file = TEST_STATICS . '/Vortex/pap/response.xml';
 
-        $response = $this->getMock('Requests_Response');
+        $response = $this->getMockBuilder('Requests_Response')->getMock();
 
         $response->status_code = 200;
         $response->body        = file_get_contents($file);
diff --git a/src/Lunr/Vortex/WNS/Tests/WNSDispatcherTest.php b/src/Lunr/Vortex/WNS/Tests/WNSDispatcherTest.php
index 442ea0dc3910386890e09b9cfa98196c14c3a482..d05b769804742121a06517ba65e08c1a071f89d2 100644
--- a/src/Lunr/Vortex/WNS/Tests/WNSDispatcherTest.php
+++ b/src/Lunr/Vortex/WNS/Tests/WNSDispatcherTest.php
@@ -57,15 +57,15 @@ abstract class WNSDispatcherTest extends LunrBaseTest
      */
     public function setUp()
     {
-        $this->http = $this->getMock('Requests_Session');
+        $this->http = $this->getMockBuilder('Requests_Session')->getMock();
 
-        $this->response = $this->getMock('Requests_Response');
+        $this->response = $this->getMockBuilder('Requests_Response')->getMock();
 
         $this->config = $this->getMockBuilder('Lunr\Core\Configuration')
                              ->disableOriginalConstructor()
                              ->getMock();
 
-        $this->logger = $this->getMock('Psr\Log\LoggerInterface');
+        $this->logger = $this->getMockBuilder('Psr\Log\LoggerInterface')->getMock();
 
         $this->class = new WNSDispatcher($this->http, $this->logger, $this->config);
 
diff --git a/src/Lunr/Vortex/WNS/Tests/WNSResponseTest.php b/src/Lunr/Vortex/WNS/Tests/WNSResponseTest.php
index d9b28e72918a3997b604c0698f08dacb2db2fb3c..5a8958d71e41b4cef027eabe044faf0c6e716a22 100644
--- a/src/Lunr/Vortex/WNS/Tests/WNSResponseTest.php
+++ b/src/Lunr/Vortex/WNS/Tests/WNSResponseTest.php
@@ -40,9 +40,9 @@ abstract class WNSResponseTest extends LunrBaseTest
      */
     public function setUpError()
     {
-        $this->logger = $this->getMock('Psr\Log\LoggerInterface');
+        $this->logger = $this->getMockBuilder('Psr\Log\LoggerInterface')->getMock();
 
-        $response = $this->getMock('Requests_Response');
+        $response = $this->getMockBuilder('Requests_Response')->getMock();
 
         $response->status_code = FALSE;
         $response->url         = 'http://localhost/';
@@ -58,9 +58,9 @@ abstract class WNSResponseTest extends LunrBaseTest
      */
     public function setUpSuccess()
     {
-        $this->logger = $this->getMock('Psr\Log\LoggerInterface');
+        $this->logger = $this->getMockBuilder('Psr\Log\LoggerInterface')->getMock();
 
-        $response = $this->getMock('Requests_Response');
+        $response = $this->getMockBuilder('Requests_Response')->getMock();
 
         $response->headers = [
             "Date" => "2016-01-13",
